
<div class="modal-header d-flex justify-content-center">
  <h4 class="modal-title" id="modal-basic-title">Parier sur le match du {{ encounter.encounterDate | date:'dd/MM/yyyy'}}</h4>
</div>

<div class="modal-body text-center">
      <div class="row">
        <!-- Affiche l'equipe host -->
        <div class="col-md-3 m-auto">
            <div *ngFor="let team of teams" >
              <div 
                *ngIf="team.id == encounter.hostTeam.id" 
                class="card__encounter__team  team"  
                (click)="selectBet(team)"
                [ngStyle]="{'background-color': team == selectedBet ? '#FFB525' : ''}"
              >
                <img src="../../../../assets/teamA.jpg" />
                <p><b> {{ encounter.hostTeam.name}} </b></p>
                <hr/>
                <p>{{ encounter.hostTeam.ratioRate }} </p>
              </div>
            </div>
            <div *ngIf="selectedBet && selectedBet.id == encounter.hostTeam.id" class="team mt-3 p-1" [ngStyle]="{'background-color': encounter.hostTeam.id == selectedBet.id ? '#FFB525' : ''}">
              <p>Votre choix</p>
            </div>

       </div>
        <!-- Partie match nul -->
        <div class="col-md-3 m-auto">
              <div class="card__encounter__team team" 
              (click)="selectBet(null)"
              [ngStyle]="{'background-color': null == selectedBet ? '#FFB525' : ''}">
                <p class="text-center">
                  <b> Match nul </b>
                </p>
                <hr/>
                <p>{{ (encounter.hostTeam.ratioRate+encounter.guestTeam.ratioRate)/2 }}</p>
              </div>
              <div *ngIf="selectedBet == null" class="team mt-3 p-1" [ngStyle]="{'background-color': selectedBet == null ? '#FFB525' : ''}">
                <p>Votre choix</p>
              </div>
        </div>
        <!-- partie equipe guest-->
       <div class="col-md-3 m-auto">
            <div *ngFor="let team of teams">
              <div 
                *ngIf="team.id == encounter.guestTeam.id" 
                class="card__encounter__team team"
                (click)="selectBet(team)"
                [ngStyle]="{'background-color': selectedBet== team ? '#FFB525' : ''}"
              >
                <img src="../../../../assets/teamB.jpg" />
                <p>  <b> {{ encounter.guestTeam.name}} </b> </p>
                <hr/>
                <p>{{ encounter.guestTeam.ratioRate }} </p>
              </div>
              
            </div>
            <div *ngIf="selectedBet && selectedBet.id == encounter.guestTeam.id" class="team mt-3 p-1" [ngStyle]="{'background-color': selectedBet.id == encounter.guestTeam.id ? '#FFB525' : ''}">
              <p>Votre choix</p>
            </div>
        </div>
      </div>
      <!-- partie montant a parier -->
      <div class="row  mt-3 align-items-center infos">
        <div class="col-md-4">
            Montant à parier:
        </div>
        <div class="col-md-4">
          <div class="input-group ">
            <input [(ngModel)]="amountBet" type="number" min="1" (ngModelChange)="calculGains()" class="form-control" placeholder="1" aria-label="amountBet" aria-describedby="basic-addon1">
            <div class="input-group-prepend">
              <span class="input-group-text" id="basic-addon1">€</span>
            </div>
          </div>
        </div>
        <div class="col-md-4 mt-3">
          <p class="text-end">Gains estimés: {{ gains | currency: 'EUR' }}</p>
        </div>
      </div>
      <!-- Boutons -->
      <div class="row">
       <div class="col-md-6 mt-5 text-start">
        <button  type="button" class="btn btn-theme" (click)="parier()">
          <i class="fa-solid fa-flag-checkered" ></i> &nbsp; Parier
        </button>

        </div>
        <div class="col-md-6 mt-5 text-end">
        <button type="button" class="btn btn-danger " (click)="modal.dismiss('cancel click')">
          Annuler &nbsp; <i class="fa-solid fa-xmark"></i>
        </button>
      
        
       </div>
      </div>
</div>